* [PATCH] installer: Increase size of mount for iso due to size increase
@ 2026-01-28 18:50 Adolf Belka
2026-01-30 9:20 ` Michael Tremer
0 siblings, 1 reply; 4+ messages in thread
From: Adolf Belka @ 2026-01-28 18:50 UTC (permalink / raw)
To: development; +Cc: Adolf Belka
- download.sh defines a mount of 512M for downloading the iso for use with PXE.
Unfortunately since CU192 the iso sizes have been greater than 512M
- This was identified by a user on the forum as their PXE install failed to work.
- They had suggested increasing it to around 800M. As CU200 is already at 658M I
thought it made more sense to give a bit more room and so specified 1024M. If this
is considered too excessive then it can always be modified.
Signed-off-by: Adolf Belka <adolf.belka@ipfire.org>
---
src/installer/downloadsource.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/src/installer/downloadsource.sh b/src/installer/downloadsource.sh
index 47086b2b7..d8b1ddd03 100644
--- a/src/installer/downloadsource.sh
+++ b/src/installer/downloadsource.sh
@@ -2,7 +2,7 @@
###############################################################################
# #
# IPFire.org - A linux based firewall #
-# Copyright (C) 2007-2022 IPFire Team <info@ipfire.org> #
+# Copyright (C) 2007-2026 IPFire Team <info@ipfire.org> #
# #
# This program is free software: you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
@@ -35,7 +35,7 @@ URL="${2}"
OUTPUT_DIR="${OUTPUT%/*}"
mkdir -p "${OUTPUT_DIR}"
-if ! mount -t tmpfs none "${OUTPUT_DIR}" -o size=512M; then
+if ! mount -t tmpfs none "${OUTPUT_DIR}" -o size=1024M; then
echo "Could not mount tmpfs to ${OUTPUT_DIR}" >&2
exit 1
fi
--
2.52.0
^ permalink raw reply [flat|nested] 4+ messages in thread* Re: [PATCH] installer: Increase size of mount for iso due to size increase
2026-01-28 18:50 [PATCH] installer: Increase size of mount for iso due to size increase Adolf Belka
@ 2026-01-30 9:20 ` Michael Tremer
2026-01-30 13:25 ` Adolf Belka
0 siblings, 1 reply; 4+ messages in thread
From: Michael Tremer @ 2026-01-30 9:20 UTC (permalink / raw)
To: Adolf Belka; +Cc: development
Hello Adolf,
Thanks for this patch. I have merged it.
The value only specifies a maximum size of the temporary directory. It won’t use up all the space on allocation. Therefore setting it to 1024 MiB is absolutely fine. The intention was probably to not exhaust the system of the entirety of memory, but since we have nowhere else to write the image to, we will not probably require more than 1 GiB of memory to make the PXE install work.
Are you aware of this being documented anywhere? Do we need to add a note to the installation documentation that at least 2 GiB would be needed for PXE?
-Michael
> On 28 Jan 2026, at 19:50, Adolf Belka <adolf.belka@ipfire.org> wrote:
>
> - download.sh defines a mount of 512M for downloading the iso for use with PXE.
> Unfortunately since CU192 the iso sizes have been greater than 512M
> - This was identified by a user on the forum as their PXE install failed to work.
> - They had suggested increasing it to around 800M. As CU200 is already at 658M I
> thought it made more sense to give a bit more room and so specified 1024M. If this
> is considered too excessive then it can always be modified.
>
> Signed-off-by: Adolf Belka <adolf.belka@ipfire.org>
> ---
> src/installer/downloadsource.sh | 4 ++--
> 1 file changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/src/installer/downloadsource.sh b/src/installer/downloadsource.sh
> index 47086b2b7..d8b1ddd03 100644
> --- a/src/installer/downloadsource.sh
> +++ b/src/installer/downloadsource.sh
> @@ -2,7 +2,7 @@
> ###############################################################################
> # #
> # IPFire.org - A linux based firewall #
> -# Copyright (C) 2007-2022 IPFire Team <info@ipfire.org> #
> +# Copyright (C) 2007-2026 IPFire Team <info@ipfire.org> #
> # #
> # This program is free software: you can redistribute it and/or modify #
> # it under the terms of the GNU General Public License as published by #
> @@ -35,7 +35,7 @@ URL="${2}"
> OUTPUT_DIR="${OUTPUT%/*}"
>
> mkdir -p "${OUTPUT_DIR}"
> -if ! mount -t tmpfs none "${OUTPUT_DIR}" -o size=512M; then
> +if ! mount -t tmpfs none "${OUTPUT_DIR}" -o size=1024M; then
> echo "Could not mount tmpfs to ${OUTPUT_DIR}" >&2
> exit 1
> fi
> --
> 2.52.0
>
>
^ permalink raw reply [flat|nested] 4+ messages in thread* Re: [PATCH] installer: Increase size of mount for iso due to size increase
2026-01-30 9:20 ` Michael Tremer
@ 2026-01-30 13:25 ` Adolf Belka
2026-01-30 14:25 ` Michael Tremer
0 siblings, 1 reply; 4+ messages in thread
From: Adolf Belka @ 2026-01-30 13:25 UTC (permalink / raw)
To: Michael Tremer; +Cc: development
Hi Michael,
On 30/01/2026 10:20, Michael Tremer wrote:
> Hello Adolf,
>
> Thanks for this patch. I have merged it.
>
> The value only specifies a maximum size of the temporary directory. It won’t use up all the space on allocation. Therefore setting it to 1024 MiB is absolutely fine. The intention was probably to not exhaust the system of the entirety of memory, but since we have nowhere else to write the image to, we will not probably require more than 1 GiB of memory to make the PXE install work.
Unless the iso size gets to 1 GiB but we will just have to cross that bridge when we get to it.
>
> Are you aware of this being documented anywhere? Do we need to add a note to the installation documentation that at least 2 GiB would be needed for PXE?
I have checked in all of our documentation that was shown when searching for PXE and there is no reference to amount of memory required for PXE.
Regards,
Adolf.
>
> -Michael
>
>> On 28 Jan 2026, at 19:50, Adolf Belka <adolf.belka@ipfire.org> wrote:
>>
>> - download.sh defines a mount of 512M for downloading the iso for use with PXE.
>> Unfortunately since CU192 the iso sizes have been greater than 512M
>> - This was identified by a user on the forum as their PXE install failed to work.
>> - They had suggested increasing it to around 800M. As CU200 is already at 658M I
>> thought it made more sense to give a bit more room and so specified 1024M. If this
>> is considered too excessive then it can always be modified.
>>
>> Signed-off-by: Adolf Belka <adolf.belka@ipfire.org>
>> ---
>> src/installer/downloadsource.sh | 4 ++--
>> 1 file changed, 2 insertions(+), 2 deletions(-)
>>
>> diff --git a/src/installer/downloadsource.sh b/src/installer/downloadsource.sh
>> index 47086b2b7..d8b1ddd03 100644
>> --- a/src/installer/downloadsource.sh
>> +++ b/src/installer/downloadsource.sh
>> @@ -2,7 +2,7 @@
>> ###############################################################################
>> # #
>> # IPFire.org - A linux based firewall #
>> -# Copyright (C) 2007-2022 IPFire Team <info@ipfire.org> #
>> +# Copyright (C) 2007-2026 IPFire Team <info@ipfire.org> #
>> # #
>> # This program is free software: you can redistribute it and/or modify #
>> # it under the terms of the GNU General Public License as published by #
>> @@ -35,7 +35,7 @@ URL="${2}"
>> OUTPUT_DIR="${OUTPUT%/*}"
>>
>> mkdir -p "${OUTPUT_DIR}"
>> -if ! mount -t tmpfs none "${OUTPUT_DIR}" -o size=512M; then
>> +if ! mount -t tmpfs none "${OUTPUT_DIR}" -o size=1024M; then
>> echo "Could not mount tmpfs to ${OUTPUT_DIR}" >&2
>> exit 1
>> fi
>> --
>> 2.52.0
>>
>>
>
^ permalink raw reply [flat|nested] 4+ messages in thread* Re: [PATCH] installer: Increase size of mount for iso due to size increase
2026-01-30 13:25 ` Adolf Belka
@ 2026-01-30 14:25 ` Michael Tremer
0 siblings, 0 replies; 4+ messages in thread
From: Michael Tremer @ 2026-01-30 14:25 UTC (permalink / raw)
To: Adolf Belka; +Cc: development
Hello Adolf,
> On 30 Jan 2026, at 14:25, Adolf Belka <adolf.belka@ipfire.org> wrote:
>
> Hi Michael,
>
> On 30/01/2026 10:20, Michael Tremer wrote:
>> Hello Adolf,
>> Thanks for this patch. I have merged it.
>> The value only specifies a maximum size of the temporary directory. It won’t use up all the space on allocation. Therefore setting it to 1024 MiB is absolutely fine. The intention was probably to not exhaust the system of the entirety of memory, but since we have nowhere else to write the image to, we will not probably require more than 1 GiB of memory to make the PXE install work.
>
> Unless the iso size gets to 1 GiB but we will just have to cross that bridge when we get to it.
It probably will. The kernel will be much bigger and we will also ship more firmware without ever cleaning anything up there.
>> Are you aware of this being documented anywhere? Do we need to add a note to the installation documentation that at least 2 GiB would be needed for PXE?
>
> I have checked in all of our documentation that was shown when searching for PXE and there is no reference to amount of memory required for PXE.
Thank you!
> Regards,
>
> Adolf.
>
>> -Michael
>>> On 28 Jan 2026, at 19:50, Adolf Belka <adolf.belka@ipfire.org> wrote:
>>>
>>> - download.sh defines a mount of 512M for downloading the iso for use with PXE.
>>> Unfortunately since CU192 the iso sizes have been greater than 512M
>>> - This was identified by a user on the forum as their PXE install failed to work.
>>> - They had suggested increasing it to around 800M. As CU200 is already at 658M I
>>> thought it made more sense to give a bit more room and so specified 1024M. If this
>>> is considered too excessive then it can always be modified.
>>>
>>> Signed-off-by: Adolf Belka <adolf.belka@ipfire.org>
>>> ---
>>> src/installer/downloadsource.sh | 4 ++--
>>> 1 file changed, 2 insertions(+), 2 deletions(-)
>>>
>>> diff --git a/src/installer/downloadsource.sh b/src/installer/downloadsource.sh
>>> index 47086b2b7..d8b1ddd03 100644
>>> --- a/src/installer/downloadsource.sh
>>> +++ b/src/installer/downloadsource.sh
>>> @@ -2,7 +2,7 @@
>>> ###############################################################################
>>> # #
>>> # IPFire.org - A linux based firewall #
>>> -# Copyright (C) 2007-2022 IPFire Team <info@ipfire.org> #
>>> +# Copyright (C) 2007-2026 IPFire Team <info@ipfire.org> #
>>> # #
>>> # This program is free software: you can redistribute it and/or modify #
>>> # it under the terms of the GNU General Public License as published by #
>>> @@ -35,7 +35,7 @@ URL="${2}"
>>> OUTPUT_DIR="${OUTPUT%/*}"
>>>
>>> mkdir -p "${OUTPUT_DIR}"
>>> -if ! mount -t tmpfs none "${OUTPUT_DIR}" -o size=512M; then
>>> +if ! mount -t tmpfs none "${OUTPUT_DIR}" -o size=1024M; then
>>> echo "Could not mount tmpfs to ${OUTPUT_DIR}" >&2
>>> exit 1
>>> fi
>>> --
>>> 2.52.0
>>>
>>>
>
>
^ permalink raw reply [flat|nested] 4+ messages in thread
end of thread, other threads:[~2026-01-30 14:26 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-01-28 18:50 [PATCH] installer: Increase size of mount for iso due to size increase Adolf Belka
2026-01-30 9:20 ` Michael Tremer
2026-01-30 13:25 ` Adolf Belka
2026-01-30 14:25 ` Michael Tremer
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox